Skip to main content
PATCH
Update a Project

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
name
string

The name of the Project

Example:

"New Project"

color
Available options:
aliceBlue,
antiqueWhite,
aqua,
aquamarine,
azure,
beige,
bisque,
black,
blanchedAlmond,
blue,
blueViolet,
brown,
burlyWood,
cadetBlue,
chartreuse,
chocolate,
coral,
cornflowerBlue,
cornsilk,
crimson,
cyan,
darkBlue,
darkCyan,
darkGoldenRod,
darkGray,
darkGrey,
darkGreen,
darkKhaki,
darkMagenta,
darkOliveGreen,
darkOrange,
darkOrchid,
darkRed,
darkSalmon,
darkSeaGreen,
darkSlateBlue,
darkSlateGray,
darkSlateGrey,
darkTurquoise,
darkViolet,
deepPink,
deepSkyBlue,
dimGray,
dimGrey,
dodgerBlue,
fireBrick,
floralWhite,
forestGreen,
fuchsia,
gainsboro,
ghostWhite,
gold,
goldenRod,
gray,
grey,
green,
greenYellow,
honeyDew,
hotPink,
indianRed,
indigo,
ivory,
khaki,
lavender,
lavenderBlush,
lawnGreen,
lemonChiffon,
lightBlue,
lightCoral,
lightCyan,
lightGoldenRodYellow,
lightGray,
lightGrey,
lightGreen,
lightPink,
lightSalmon,
lightSeaGreen,
lightSkyBlue,
lightSlateGray,
lightSlateGrey,
lightSteelBlue,
lightYellow,
lime,
limeGreen,
linen,
magenta,
maroon,
mediumAquaMarine,
mediumBlue,
mediumOrchid,
mediumPurple,
mediumSeaGreen,
mediumSlateBlue,
mediumSpringGreen,
mediumTurquoise,
mediumVioletRed,
midnightBlue,
mintCream,
mistyRose,
moccasin,
navajoWhite,
navy,
oldLace,
olive,
oliveDrab,
orange,
orangeRed,
orchid,
paleGoldenRod,
paleGreen,
paleTurquoise,
paleVioletRed,
papayaWhip,
peachPuff,
peru,
pink,
plum,
powderBlue,
purple,
rebeccaPurple,
red,
rosyBrown,
royalBlue,
saddleBrown,
salmon,
sandyBrown,
seaGreen,
seaShell,
sienna,
silver,
skyBlue,
slateBlue,
slateGray,
slateGrey,
snow,
springGreen,
steelBlue,
tan,
teal,
thistle,
tomato,
turquoise,
violet,
wheat,
white,
whiteSmoke,
yellow,
yellowGreen,
none,
transparent
Example:

"blue"

handoverConfiguration
object

Response

Project successfully updated.

Last modified on July 22, 2026